Update a user membershipAsk AIput https://api.instill-ai.com/v1beta/users/{userId}/memberships/{organizationId}Accesses and updates a user membership by parent and membership IDs.Path ParamsuserIdstringrequiredUser IDorganizationIdstringrequiredOrganization IDQuery ParamsupdateMaskstringrequiredThe update mask specifies the subset of fields that should be modified. For more information about this field, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#field-mask.Body ParamsThe membership fields to update.statestringenumrequiredMembershipState describes the state of a user membership to an organization. MEMBERSHIP_STATE_ACTIVE: Active. MEMBERSHIP_STATE_PENDING: Pending, i.e., a request has been sent to the user to join an organization. MEMBERSHIP_STATE_ACTIVEMEMBERSHIP_STATE_PENDINGAllowed:MEMBERSHIP_STATE_ACTIVEMEMBERSHIP_STATE_PENDINGResponses 200A successful response. 401Returned when the client credentials are not valid. defaultAn unexpected error response.Updated 9 months ago